Name:           libopensync-plugin-syncml
Version:        0.22
Release:        3%{?dist}
Epoch:          1
Summary:        SyncML plugin for libopensync

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.opensync.org
Source0:        http://www.opensync.org/download/releases/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake
BuildRequires:  libopensync-devel >= 0.22
BuildRequires:  libsyncml-devel >= 0.4.6
BuildRequires:  openobex-devel pkgconfig libsoup22-devel
BuildRequires:  glib2-devel >= 2.15.1

%description
This is a plugin to be able to use SyncML within opensync.

%prep
%setup -q
# disable -Werror so deprecation warnings from libsyncml don't break the build
sed -i -e 's/-Werror//g' src/Makefile.in

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name *.la -exec rm -f {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_libdir}/opensync/plugins/syncml_plugin.so
%{_datadir}/opensync/defaults/syncml-http-server
%{_datadir}/opensync/defaults/syncml-obex-client

%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.22-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Apr 02 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 1:0.22-2
- BR libsoup22-devel instead of libsoup-devel
- disable -Werror so deprecation warnings from libsyncml don't break the build
- fix file list
- remove .la files

* Wed Apr 01 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1:0.22-1
- Revert even further to 0.22 because of recent opensync downgrade

* Sat Mar 21 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.36-1
- revert to 0.36 - 0.38 is not going to build against libopensync 0.36

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.38-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 18 2009 josef radinger <cheese@nosuchhost.net> 
- 0.38-2
- rebuild

* Sun Jan 18 2009 josef radinger <cheese@nosuchhost.net> 
- 0.38-1
- bump version as libsyncml is now on 0.50

* Sun Jan 18 2009 josef radinger <cheese@nosuchhost.net> 
- 0.35-7
-rebuild

* Sun Jan 18 2009 josef radinger <cheese@nosuchhost.net> 
- 0.35-6
- and remove the later patches

* Sun Jan 18 2009 josef radinger <cheese@nosuchhost.net> 
- 0.35-5
- revert back to 0.35 as i have problems with dependencies

* Sat Nov 1 2008 josef radinger <cheese@nosuchhost.net> 
- 0.36-2
- add cmake-patch

* Sat Nov 1 2008 josef radinger <cheese@nosuchhost.net> 
- 0.36-1
- bump version

* Mon Feb 25 2008 josef radinger <cheese@nosuchhost.net> 
- 0.35-4
- fix formating in spec-file
- buildrequire glib2-devel >= 2.15.1 #428428

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> 
- 0.35-2
- Autorebuild for GCC 4.3

* Fri Dec 28 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.35-1
- version upgrade

* Wed Nov 24 2007 josef radinger <cheese@nosuchhost.net> 
- 0.22-4
- syncml -> SyncML
- fix description
- drop rpm-scripts
- adde requires for libopensync

* Wed Nov 21 2007 josef radinger <cheese@nosuchhost.net> 
- 0.22-3
- fresh build for f8
- license

* Sat Jun 23 2007 josef radinger <cheese@nosuchhost.net> 
- 0.22-2
- fixed specfile (removed devel package and empty docs)
- used rpmlint :)
- added pkgconfig and libsoup-devel to buildrequires

* Fri Jun 22 2007 josef radinger <cheese@nosuchhost.net> 
- 0.22-1
- initial version 
- template for spec-file taken from libopensync-plugin-evolution2

